#
# spec file for package python3-WTForms
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python3-WTForms
Version:        2.1
Release:        1.2
Url:            http://wtforms.simplecodes.com/
Summary:        A flexible forms validation and rendering library for Python web development
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/W/WTForms/WTForms-%{version}.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  unzip
BuildRequires:  python3
Requires:       python3
Recommends:     python3-django
# Don't support python3 for instance
# Recommends:     python-google-appengine
Recommends:     python3-SQLAlchemy
BuildArch:      noarch

%description
WTForms is a forms validation and rendering library for Python web development.

%prep
%setup -q -n WTForms-%{version}
sed -i "s/\r//" CHANGES.rst docs/html/_sources/index.txt # Fix wrong EOL-encoding
rm -rf docs/html/.buildinfo # Remove junk

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS.txt CHANGES.rst LICENSE.txt README.md docs/html
%{python3_sitelib}/*

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * changed to https for source url
  * updated source url to files.pythonhosted.org
* Sun Jan 31 2016 arun@gmx.de
- specfile:
  * update copyright year
- update to version 2.1:
  * Added `render_kw` to allow default rendering time options.
  * Updated / added a number of localizations
  * Updated docs
  * Allow widgets to set flags
* Sun Jan 25 2015 arun@gmx.de
- specfile: changed to setuptools
- update to version 2.0.2:
  * Added more localizations and updated some.
  * Validators for email and URL can validate IDNA-encoded domain
    names and new TLDs
  * Better DeprecationWarnings
  * Support localization files in /usr/share/locale (for distro
    packaging)
* Sun Jan  4 2015 arun@gmx.de
- specfile:
  * update copyright year
  * CHANGES is now a .rst and README a .md file
- update to version 2.0.1:
  * Update wheel install to conditionally install ordereddict for python 2.6.
  * Doc improvements
- changes from version 2.0:
  * Add new class Meta paradigm for much more powerful customization of WTForms.
  * Move i18n into core. Deprecate wtforms.ext.i18n.
  * Move CSRF into core. Deprecate wtforms.ext.csrf.
  * Fix issue rendering SelectFields with value=True
  * Make DecimalField able to use babel locale-based number formatting.
  * Drop Python 3.2 support (Python3 support for 3.3+ only)
  * passing attr=False to WTForms widgets causes the value to be ignored.
  * Unique validator in wtforms.ext.sqlalchemy has been removed.
* Mon Mar 24 2014 mvyskocil@opensuse.org
- Update to version 1.0.5
  + No upstream changelog
* Sun Apr 14 2013 p.drouand@gmail.com
- Update to version 1.0.3
  + Tests complete in python 3.2/3.3.
  + Localization for ru, fr.
  + Minor fixes in documentation for clarity.
  + FieldList now can take validators on the entire FieldList.
  + ext.sqlalchemy model_form:
  * Fix issue with QuerySelectField
  * Fix issue in ColumnDefault conversion
  * Support Enum type
  + Field class now allows traversal in Django 1.4 templates.
- Initial python3 support
* Tue Sep 27 2011 saschpe@suse.de
- Update to version 0.6.3:
  * Documentation: Substantial documentation improvements, including adding
    Crash Course as a sphinx document.
  * ext.django: QuerySetSelectField (and ModelSelectField) now accept get_label
    similar to sqlalchemy equivalents.
  * ext.appengine:
    + model_form fixes: FloatField(#50), TimeField, DateTimeField(#55)
    + ReferencePropertyField: now properly stores model object, not key. (#48)
- Changes from version 0.6.2:
  * ext.appengine: various field fixes (#34, #48), model_form changes (#41)
  * Fix issue in Optional with non-string input.
  * Make numeric fields more consistent.
  * Tests: Improve test coverage substantially.
- Recommend python-django, python-SQLAlchemy & python-google-appengine,
  WTForms provides optional integration for each
- Package documentation
* Tue Oct 26 2010 kianseong@gmail.com
- Further changes to spec based on review
* Tue Oct 26 2010 kianseong@gmail.com
- Changes to spec file based on review
* Tue Oct 26 2010 kianseong@gmail.com
- New package wtforms
